import 'package:json_annotation/json_annotation.dart';
import 'package:krow/core/data/models/event/business_member_model.dart';

part 'client.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class ClientModel {
  String id;
  String firstName;
  String lastName;
  String? avatar;

  AuthInfo? authInfo;

  ClientModel(
    this.firstName,
    this.lastName,
    this.avatar,
      this.id,
      this.authInfo,
  );

  factory ClientModel.fromJson(Map<String, dynamic> json) {
      return _$ClientModelFromJson(json);
    }

  Map<String, dynamic> toJson() => _$ClientModelToJson(this);
}
